﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace PlatformRgbSliders
{
    class DoubleToIntConverter : IValueConverter
    {
        public double Multiplier { set; get; } = 1;

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (int)Math.Round(Multiplier * (double)value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (int)value / Multiplier;
        }
    }
}
